Package org.eclipse.rdf4j.query.resultio

## Class TupleQueryResultParserRegistry

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.service.ServiceRegistry<FF,​S>
  - - org.eclipse.rdf4j.common.lang.service.FileFormatServiceRegistry<QueryResultFormat,​TupleQueryResultParserFactory>
    - - org.eclipse.rdf4j.query.resultio.TupleQueryResultParserRegistry

-     public class TupleQueryResultParserRegistry
      extends FileFormatServiceRegistry<QueryResultFormat,​TupleQueryResultParserFactory>

  A registry that keeps track of the available `TupleQueryResultParserFactory`s.
  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `logger, services`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TupleQueryResultParserRegistry()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TupleQueryResultParserRegistry` | `getInstance()` | Gets the default TupleQueryResultParserRegistry.
    `protected QueryResultFormat` | `getKey​(TupleQueryResultParserFactory factory)` | Gets the key for the specified service.

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.FileFormatServiceRegistry

      `getFileFormatForFileName, getFileFormatForMIMEType`

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `add, get, getAll, getKeys, has, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleQueryResultParserRegistry

          public TupleQueryResultParserRegistry()

  - ### Method Detail

    - #### getInstance

          public static TupleQueryResultParserRegistry getInstance()

      Gets the default TupleQueryResultParserRegistry.
      Returns:
        The default registry.

    - #### getKey

          protected QueryResultFormat getKey​(TupleQueryResultParserFactory factory)

      Description copied from class: `ServiceRegistry`
      Gets the key for the specified service.
      Specified by:
        `getKey` in class `ServiceRegistry<QueryResultFormat,​TupleQueryResultParserFactory>`
      Parameters:
        `factory` - The service to get the key for.
      Returns:
        The key for the specified service.